Holger's Java API

## com.antelmann.ooffice
Enum CharacterFormat

    java.lang.Object
      java.lang.Enum<CharacterFormat>
          com.antelmann.ooffice.CharacterFormat

All Implemented Interfaces:
  Serializable, Comparable<CharacterFormat>

    public enum CharacterFormat

extends Enum<CharacterFormat>

specifies the character format for office documents

Author:
  Holger Antelmann

Enum Constant Summary
`BOLD`
`BOLD_ITALIC`
`ITALIC`
`NORMAL`

Method Summary
`void` `applyTo(Object obj)`
`static CharacterFormat` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CharacterFormat[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NORMAL

    public static final CharacterFormat NORMAL

### BOLD

    public static final CharacterFormat BOLD

### ITALIC

    public static final CharacterFormat ITALIC

### BOLD_ITALIC

    public static final CharacterFormat BOLD_ITALIC

Method Detail

### values

    public static CharacterFormat[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CharacterFormat c : CharacterFormat.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CharacterFormat valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### applyTo

    public void applyTo(Object obj)
                 throws OfficeException

  Throws:
    `OfficeException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads